External & Imports

Endpoints related to external & imports.

GET /flat-material-purchase-order/<string:po_customer_id>/material-lots/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-material-purchase-order/<string:po_customer_id>/material-lots/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-material-purchase-order/<string:po_customer_id>/material-lots/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-material-purchase-order/<string:po_customer_id>/material-lots/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /bulk-delete-product/
Status Codes:
  • 201 Created – Resource created successfully

  • 404 Not Found – The requested product cannot be found. Unable to delete the following products, either you lack the required permissions or they do not exist.

  • 405 Method Not Allowed – MethodNotAllowed

Response Headers:
  • Location – URI of the created resource

GET /flat-material-lot-receiving-report/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-material-lot-receiving-report/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-material-lot-receiving-report/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-material-lot-receiving-report/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
GET /flat-material-lot-receiving-report/<uuid:material_lot_uuid>/material-lots/
Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

POST /flat-material-lot-receiving-report/<uuid:material_lot_uuid>/material-lots/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /flat-material-lot-receiving-report/<uuid:material_lot_uuid>/material-lots/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

PUT /flat-material-lot-receiving-report/<uuid:material_lot_uuid>/material-lots/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
POST /external-estimate/
Status Codes:
Response Headers:
  • Location – URI of the created resource

GET /external-estimate/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

GET /external-order-import-source/

Retrieve a list of external order import sources.

Retrieve a list of external order import sources.

Query Parameters:
  • limit (integer) – Maximum number of resources to return

  • offset (integer) – Number of resources to skip

  • sort (string) – Sort order (prefix with ‘-’ for descending)

Status Codes:
  • 200 OK – Successful response with list of resources

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.

GET /external-order-import-source/{uuid}/
Parameters:
  • uuid (string) – The UUID of the resource

Status Codes:
  • 200 OK – Successful response

  • 400 Bad Request – InvalidPayload: The payload is invalid or missing required fields.